org.apache.fop.traits

## Class Visibility

- java.lang.Object
- - org.apache.fop.traits.TraitEnum
  - - org.apache.fop.traits.Visibility

- All Implemented Interfaces:
    java.io.Serializable

      public final class Visibility
      extends TraitEnum

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Visibility` | `COLLAPSE` border-style: dotted
    `static Visibility` | `HIDDEN` border-style: hidden
    `static Visibility` | `VISIBLE` border-style: none

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Visibility` | `valueOf(java.lang.String name)` Returns the enumeration/singleton object based on its name.

    - ### Methods inherited from class org.apache.fop.traits.TraitEnum

      `getEnumValue, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VISIBLE

          public static final Visibility VISIBLE

      border-style: none

    - #### HIDDEN

          public static final Visibility HIDDEN

      border-style: hidden

    - #### COLLAPSE

          public static final Visibility COLLAPSE

      border-style: dotted

  - ### Method Detail

    - #### valueOf

          public static Visibility valueOf(java.lang.String name)

      Returns the enumeration/singleton object based on its name.
      Parameters:
        `name` - the name of the enumeration value
      Returns:
        the enumeration object

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.